<?php if (!defined('APPLICATION')) exit();
//original Plugin by @peregrine,Redistributed by VrijVlinder with  Peregrine's permission.

 
$PluginInfo['CommentBodyInsert'] = array(
   'Name' => 'Comment Body Insert',
   'Description' => 'Adds item to Comment Body',
   'Version' => '1.1',
   'Author' => "VrijVlinder",
   'License'=>"GNU GPL2",
   'SettingsUrl' => '/dashboard/plugin/commentbodyinsert'
);


class CommentBodyInsertPlugin extends Gdn_Plugin {
 
 
   public function DiscussionController_Render_Before($Sender) {
         if   (C('Plugins.CommentBodyInsert.Name1')) {
        $Formatter = C('Garden.InputFormatter', 'Html');
        $this->AttachCommentBodyInsertResources($Sender, $Formatter);
        }
    }
 
 
    public function DiscussionController_AfterCommentBody_Handler($Sender) {
      
      $commentitem = (C('Plugins.CommentBodyInsert.Name1'));
      echo $commentitem;
   }
  
   public function PluginController_CommentBodyInsert_Create($Sender, $Args = array()) {

        $Sender->Permission('Garden.Settings.Manage');
        $Sender->Form = new Gdn_Form();
        $Validation = new Gdn_Validation();
        $ConfigurationModel = new Gdn_ConfigurationModel($Validation);
        $ConfigurationModel->SetField(array(
            'Plugins.CommentBodyInsert.Name1',
   
        ));
        $Sender->Form->SetModel($ConfigurationModel);


        if ($Sender->Form->AuthenticatedPostBack() === FALSE) {
            $Sender->Form->SetData($ConfigurationModel->Data);
        } else {
            $Data = $Sender->Form->FormValues();

            if ($Sender->Form->Save() !== FALSE)
                $Sender->StatusMessage = T("Your settings have been saved.");
        }

        $Sender->Render($this->GetView('cmb-settings.php'));
    }

 public function CategoriesController_AfterCommentBody_Handler($Sender) {
        $this->DiscussionController_AfterCommentBody_Handler($Sender);
    }

 protected function AttachCommentBodyInsertResources($Sender, $Formatter) {
        $Sender->AddCssFile('commentbodyinsert.css', 'plugins/CommentBodyInsert');
       
    }

   
  public function Setup() {
        
    }
    
    }
